Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
20.01.2021, 14:05:48

.
Einloggen mit Benutzername, Passwort und Sitzungslänge


Autor Thema: [gelöst]  [LM9LXDE] sudo apt-get install ... # Fehlermeldung  (Gelesen 9124 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Tersus

  • Gast
[gelöst] Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #15 am: 29.10.2011, 11:18:14 »
Ja, und gehen die Installationen denn jetzt?

Nein leider nicht, ansonsten hätte ich es geschrieben, bzw. den Präfix des Themas auf "gelöst" gesetzt.

Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #16 am: 29.10.2011, 11:27:30 »
Dann lass jetzt bitte nochmal die Befehle durchlaufen:

sudo apt-get update
sudo dpkg --configure -a
sudo apt-get -f install
Falls es dann immer noch Probleme gibt, zeig bitte nochmal die Ausgaben von

cat /etc/apt/sources.list
ls -la /etc/apt/sources.list.d
sudo apt-get update && sudo apt-get -s dist-upgrade
und

sudo apt-get install -s  swi-prolog

Tersus

  • Gast
Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #17 am: 30.10.2011, 09:06:38 »
Dann lass jetzt bitte nochmal die Befehle durchlaufen:

sudo apt-get update
sudo dpkg --configure -a
sudo apt-get -f install
Falls es dann immer noch Probleme gibt, zeig bitte nochmal die Ausgaben von

...



Die ersten drei Befehle haben funktioniert! Vielen Dank

Eine Frage habe ich aber noch. sudo apt-get update gab folgende letzte Zeilen aus:
W: GPG-Fehler: http://ppa.launchpad.net lucid Release: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY 30227912EF839BCFWas bedeutet das?

Gruß

Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #18 am: 30.10.2011, 09:44:44 »
Das bedeutet, dass Du für eines der PPAs keinen Schlüssel hast. Leider lässt sich durch Googeln des Codes nicht feststellen, für welches.

Tersus

  • Gast
Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #19 am: 30.10.2011, 10:11:35 »
Das bedeutet, dass Du für eines der PPAs keinen Schlüssel hast. Leider lässt sich durch Googeln des Codes nicht feststellen, für welches.

Danke. Ist es ein wenig themenfremd, aber laut dieser Quelle sollte der Befehl:
sudo gpg --keyserver keyserver.ubuntu.com --recv-key >hier schlüssel-id<
mir den Schlüssel liefern.

Folgende Ausgabe kam:
sudo gpg --keyserver keyserver.ubuntu.com --recv-key 30227912EF839BCF
[sudo] password for Tersus:
gpg: Verzeichnis `/home/Tersus/.gnupg' erzeugt
gpg: Neue Konfigurationsdatei `/home/Tersus/.gnupg/gpg.conf' erstellt
gpg: WARNUNG: Optionen in `/home/Tersus/.gnupg/gpg.conf' sind während dieses Laufes noch nicht wirksam
gpg: Schlüsselbund `/home/Tersus/.gnupg/secring.gpg' erstellt
gpg: Schlüsselbund `/home/Tersus/.gnupg/pubring.gpg' erstellt
gpg: Schlüssel EF839BCF von hkp Server keyserver.ubuntu.com anfordern
gpg: /home/Tersus/.gnupg/trustdb.gpg: trust-db erzeugt
gpg: Schlüssel EF839BCF: Öffentlicher Schlüssel "Launchpad 5.11.X - Development releases" importiert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg:               importiert: 1  (RSA: 1)

Und nun:
sudo apt-get update
liefert mir wieder die selbe Meldung, dass der Schlüssel nicht existiert.

Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #20 am: 30.10.2011, 10:30:20 »
gpg --keyserver keyserver.ubuntu.com --recv EF839BCFund
gpg --export --armor EF839BCF | sudo apt-key add -und
sudo apt-key update
bringt auch nichts?
« Letzte Änderung: 30.10.2011, 10:38:44 von leonidas »

Tersus

  • Gast
Re: [LM9LXDE] sudo apt-get install ... # Fehlermeldung
« Antwort #21 am: 30.10.2011, 11:58:51 »
Jetzt geht es! Danke Dir!

Beste Grüße  ;)